Support » Plugin: iThemes Security (formerly Better WP Security) » Cant access the plugin settings at all

  • Hi

    After activation and trying to access settings i get the

    The link you followed has expired.
    Please try again.

    Loooking at the server logs there is a 403 error trying to access the settings

    GET /wp-admin/admin.php?page=itsec HTTP/1.0

    I have full server access.

Viewing 4 replies - 1 through 4 (of 4 total)
  • If this is still an issue, please try this. In wp-content/plugins/better-wp-security/core/admin-pages/page-settings.php at line #45:

    if ( ! empty( $_POST ) && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {

    …replace with:

    if ( ! empty( $_POST['itsec-nonce'] ) && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {

    Then retry and let me know the result.

    Spend some time figuring this out as I noticed the issue was being reported regularly. If the code fix restores access to the plugin Settings page and it allows you to view/save settings again, I’ll contact the plugin developer and request the fix above to be included in the next release.

    To prevent any confusion, I’m not iThemes.

    Hi @nlpro AMAZING!

    Fixed instantly, all settings save and are accessible

    Thanks

    Thank you for your feedback.

    Please confirm the correct name for the conflicting plugin is:

    Ultimate Addons for Elementor.

    There seem to be many Addons for Elementor plugins out there. Just want to make sure I take note of the correct one that is conflicting.
    And it seems to be a premium plugin not available in the wordpress.org plugin repository, right?

    Hi @nlpro

    Yes thats the one

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.